Subject: Re: jgit and ignore

From: Tor Arne Vestbø <[email-masked]>
Date: Sun, 01 Mar 2009 18:42:54 +0100

Shawn O. Pearce wrote:
> IMHO, we should honor ignores in EGit as:
> 
>   per-directory .gitignore
>   per-repostiory GIT_DIR/info/exclude
> 
>   per-repository core.excludesfile (yes, really, it can be per
>   repository, which overrides ~/.gitconfig setting of same)
> 
>   Eclipse global team ignore patterns

Just to be clear, I noticed you left out the global core.excludesfile
(from ~/.gitconfig) here. I guess this intentional?

Or should we combine the ignores from the global team ignores and the
ignores from the global core.excludesfile in ~/.gitconfig?

Either way, I full agree that we should honor all repository ignores
(whether they are in directory .gitignores, info/exclude, or given by
repository-specific core.excludesfile).

Tor Arne